Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 470590 - provide information about the move from /etc/init.d/rhn-satellite to /sbin/rhn-satellite
Summary: provide information about the move from /etc/init.d/rhn-satellite to /sbin/rh...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 0.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: wes hayutin
URL: na
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-11-07 20:31 UTC by wes hayutin
Modified: 2009-01-22 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:30:22 UTC


Attachments (Terms of Use)

Description wes hayutin 2008-11-07 20:31:59 UTC
Description of problem:

The information should be on the server.. and the docs
I'm thinking either a

1. softlink to the new command

2. or when customer runs /etc/init.d/rhn-satellite * , it notifies the user that the command has moved to /sbin/rhn-satellite

thanks guys

Comment 1 Miroslav Suchý 2008-12-10 16:30:31 UTC
Commited as 3a5241b19741ca4c0596d453f99f93985398f237
Fixed in spacewalk-admin-0.4.4-1

Comment 2 Jan Pazdziora 2009-01-15 09:51:09 UTC
The helpful message is now shown:

# /etc/init.d/rhn-satellite status
Warning: /etc/init.d/rhn-satellite is obsolete.
Each service has its own init script now.
The whole suite can be manipulated using command /usr/sbin/rhn-satellite instead.
# rpm -qf /etc/init.d/rhn-satellite
spacewalk-admin-0.4.8-1.el5
#


Note You need to log in before you can comment on or make changes to this bug.